import { Rpc, SolanaRpcApi, Address } from '@solana/web3.js';
import { DAS } from 'helius-sdk';
import type { TMetadataArgsArgs } from '../shared-types';
export type CNFTTransferArgs = {
    root: Uint8Array;
    merkleTree: Address;
    proof: Address[] | undefined;
    index: number;
    tMetadataArgsArgs: TMetadataArgsArgs;
    canopyDepth: number;
};
export type CNFTInstructionArgs = CNFTTransferArgs & {
    metaHash: Uint8Array;
    creatorShares: Uint8Array;
    creatorVerified: boolean[];
    sellerFeeBasisPoints: number;
    dataHash: Uint8Array;
    creatorHash: Uint8Array;
    creators: Array<[Address, number]> | undefined;
};
export declare function getCNFTArgs(rpc: Rpc<SolanaRpcApi>, mint: Address, assetFields: DAS.GetAssetResponse, proofFields: DAS.GetAssetProofResponse): Promise<CNFTInstructionArgs>;
export declare function getCNFTTransferArgs(rpc: Rpc<SolanaRpcApi>, assetFields: DAS.GetAssetResponse, proofFields: DAS.GetAssetProofResponse): Promise<CNFTTransferArgs>;
//# sourceMappingURL=cNFT_instruction_args.d.ts.map