import { Address, VariableSizeDecoder } from '@solana/web3.js';
declare enum CompressionAccountType {
    Uninitialized = 0,
    ConcurrentMerkleTree = 1
}
type ConcurrentMerkleTreeHeader = {
    accountType: CompressionAccountType;
    header: ConcurrentMerkleTreeHeaderDataRecord;
};
type ConcurrentMerkleTreeHeaderDataRecord = ConcurrentMerkleTreeHeaderDataV1 & {
    __kind: 'V1';
};
type ConcurrentMerkleTreeHeaderDataV1 = {
    maxBufferSize: number;
    maxDepth: number;
    authority: Address;
    creationSlot: bigint;
    padding: number[];
};
export declare function getConcurrentMerkleTreeHeaderDecoder(): VariableSizeDecoder<ConcurrentMerkleTreeHeader>;
export {};
//# sourceMappingURL=merkleTreeHeaderDecoder.d.ts.map