import { TTokenProgramVersionArgs, TUsesArgs, TCollectionArgs, TTokenStandardArgs } from '../../shared-types';
import { Encoder } from '@solana/web3.js';
export type TCreator = {
    address: string;
    verified: boolean;
    share: number;
};
export type MetadataArgs = {
    name: string;
    symbol: string;
    uri: string;
    sellerFeeBasisPoints: number;
    primarySaleHappened: boolean;
    isMutable: boolean;
    /** nonce for easy calculation of editions, if present */
    editionNonce: number | null;
    /** Since we cannot easily change Metadata, we add the new DataV2 fields here at the end. */
    tokenStandard: TTokenStandardArgs | null;
    /** Collection */
    collection: TCollectionArgs | null;
    /** Uses */
    uses: TUsesArgs | null;
    tokenProgramVersion: TTokenProgramVersionArgs;
    creators: TCreator[];
};
export declare function getMetadataArgsEncoder(): Encoder<MetadataArgs>;
//# sourceMappingURL=metadataArgsEncoder.d.ts.map